### Method

# Gtk ComboBoxget_active_id

deprecated: 4.10

#### Declaration [src]

    const char*
    gtk_combo_box_get_active_id (
      GtkComboBox* combo_box
    )

#### Description [src]

Returns the ID of the active row of `combo_box`.

This value is taken from the active row and the column specified by the `GtkComboBox:id-column` property of `combo_box` (see `gtk_combo_box_set_id_column()`).

The returned value is an interned string which means that you can compare the pointer by value to other interned strings and that you must not free it.

If the `GtkComboBox:id-column` property of `combo_box` is not set, or if no row is active, or if the active row has a `NULL` ID value, then `NULL` is returned.

Deprecated since: 4.10

Use `GtkDropDown`

Gets property | `Gtk.ComboBox:active-id`

#### Return value

Type: `const char*`

The ID of the active row.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.